﻿package  
{
	import frocessing.display.F5MovieClip2D;
	
	[SWF(width=465,height=465,backgroundColor=0xFFFFFF)]
	public class BasicShapes extends F5MovieClip2D
	{
		public function BasicShapes() 
		{
			//線と塗りの指定
			stroke( 0x33 );
			fill( 168, 192, 255 );
			
			//point( x, y )
			//(x,y)の位置に点を描画します。
			//※strokeで指定した色で描画されます。
			point(  40,  60 );
			point( 100,  60 );
			point( 100, 120 );
			point(  40, 120 );
			
			//line(x1,y1,x2,y2)
			//2点を結ぶ直線を描画します。
			line( 150,  60, 210,  60 );
			line( 150, 120, 210, 120 );
			
			//triangle(x1,y1,x2,y2,x3,y3)
			//3点を結ぶ三角形を描画します。
			triangle( 260, 120, 290, 60, 320, 120 );
			
			//quad(x1,y1,x2,y2,x3,y3,x4,y4)
			//4点を結ぶ四角形を描画します。
			quad( 370, 120, 390, 60, 430, 60, 430, 120 );
			
			//rect(x,y,width,height)
			//左上(x,y)に幅width,高さheightの矩形を描画します。
			rect( 40, 190, 60, 80 );
			
			//rect(x,y,width,height,radiusX,radiusY)
			//矩形は第5、第6引数に半径を指定することで角丸で描画できます。
			rect( 150, 190, 60, 80, 20, 20 );
			
			//ellipse(x,y,width,height)
			//中心(x,y),幅width,高さheightの楕円を描画します。
			ellipse( 290, 230, 60, 80 );
			
			//circle(x,y,radius)
			//中心(x,y),半径radiusの円を描画します。
			circle( 400, 230, 30 );
			
			//arc(x,y,width,height,begin,end)
			//中心(x,y),幅width,高さheight,
			//開始角度begin,終了角度endの円弧を描画します。
			arc( 70, 370, 60, 80, 0, Math.PI * 1.2 );
			
			//塗りが指定されていない場合は弧の部分だけが描画されます。
			noFill();
			arc( 180, 370, 60, 80, 0, -Math.PI * 1.2 );
		}
	}
}